16389924 optional consolidation incorporation dependencies should be unlockable
authorNorm Jacobs <Norm.Jacobs@Oracle.COM>
Fri, 22 Feb 2013 16:32:48 -0800
changeset 1171 ba5a5b6e3268
parent 1170 63707ad3c24c
child 1172 812e434cd1a8
16389924 optional consolidation incorporation dependencies should be unlockable
transforms/defaults
--- a/transforms/defaults	Fri Feb 22 12:55:58 2013 -0800
+++ b/transforms/defaults	Fri Feb 22 16:32:48 2013 -0800
@@ -20,7 +20,7 @@
 #
 
 #
-# Copyright (c) 2010, 2012, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2010, 2013, Oracle and/or its affiliates. All rights reserved.
 #
 
 <transform dir path=etc$ -> default group sys>
@@ -123,3 +123,14 @@
 #
 <transform link mediator=python mediator-version=2.6 -> default mediator-priority vendor>
 
+#
+# Add a facet.version-lock.{package} to each 'optional' consolidation
+# incorporation dependency so that we can install without having to
+# mangle the system in some way.
+#
+<transform depend type=optional fmri=(pkg:/)?consolidation/[email protected] -> \
+    default tmp.fmri %{pkg.fmri} >
+<transform depend tmp.fmri=pkg:/(.+)@.*$ -> \
+    default facet.version-lock.%<1> true >
+<transform depend tmp.fmri=.*-> delete tmp.fmri .* >
+